Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ArrayMarshaller

    java.lang.Object
      |
      +--oracle.jbo.common.ArrayMarshaller

public class ArrayMarshaller
extends java.lang.Object

The ArrayMarshaller is a helper class to marshall array of java types into byte streams and vice versa.

Constructor Summary
`ArrayMarshaller()`

Method Summary
`static byte[]` | `createStream(java.lang.Class cls, java.lang.Object[] obj)` NEW Convert an array of objects into byte stream.
`static byte[]` | `createStream(int[] val)` NEW Convert an integer array into byte stream.
`static int[]` | `readInt(byte[] byteStream)` NEW Convert byte stream into an array of integers.
`static java.lang.Object[]` | `readObject(java.lang.Class cls, byte[] stream)` Convert byte stream into an array of objects.
`static java.lang.String[]` | `readString(byte[] byteStream)` NEW Convert byte stream into an array of Strings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayMarshaller

    public ArrayMarshaller()

Method Detail

### createStream

    public static final byte[] createStream(java.lang.Class cls,
                                            java.lang.Object[] obj)
                                     throws DataCreationException

  NEW Convert an array of objects into byte stream.
  Parameters:
    `cls` - the class of the object.
    `obj` - the array of objects to be converted.
  Throws:
    DataCreationException - is thrown when there is an error occured in the process

### readObject

    public static final java.lang.Object[] readObject(java.lang.Class cls,
                                                      byte[] stream)
                                               throws DataCreationException

  Convert byte stream into an array of objects.
  Parameters:
    `cls` - the class of the object.
    `stream` - the byte stream to be converted.
  Throws:
    DataCreationException - is thrown when there is an error occured in the process

### createStream

    public static final byte[] createStream(int[] val)
                                     throws DataCreationException

  NEW Convert an integer array into byte stream.
  Parameters:
    `val` - the array of integers to be converted.
  Throws:
    DataCreationException - is thrown when there is an error occured in the process

### readString

    public static final java.lang.String[] readString(byte[] byteStream)
                                               throws DataCreationException

  NEW Convert byte stream into an array of Strings.
  Parameters:
    `byteStream` - the byte stream to be converted.
  Throws:
    DataCreationException - is thrown when there is an error occured in the process

### readInt

    public static final int[] readInt(byte[] byteStream)
                               throws DataCreationException

  NEW Convert byte stream into an array of integers.
  Parameters:
    `byteStream` - the byte stream to be converted.
  Throws:
    DataCreationException - is thrown when there is an error occured in the process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD